KRES::Manager< T >::Iterator Class Reference

`#include <manager.h>`

## Public Member Functions

| Iterator (const Iterator &it)
T * | operator* ()
Iterator & | operator++ ()
Iterator & | operator++ (int)
Iterator & | operator-- ()
Iterator & | operator-- (int)
bool | operator== (const Iterator &it)
bool | operator!= (const Iterator &it)

## Friends

class | Manager

## Detailed Description

### template<class T>
class KRES::Manager< T >::Iterator

Iterator for iterations over all resources managed by a manager.

Definition at line 85 of file manager.h.

The documentation for this class was generated from the following file:

- manager.h

KDE Home | KDE Accessibility Home | Description of Access Keys